<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Boot Strap Components</title>

	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">

	<link rel="stylesheet" type="text/css" href="style.css">

	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

</head>

<body>
	<!-- Navbar -->

	<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
	  <a class="navbar-brand" href="#">Gab | Profile</a>
	  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
	    <span class="navbar-toggler-icon"></span>
	  </button>
	  <div class="collapse navbar-collapse" id="navbarNav">
	    <ul class="navbar-nav">
	      <li class="nav-item active">
	        <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link" href="#">Features</a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link" href="#">Pricing</a>
	      </li>
	      <li class="nav-item">
	        <a class="nav-link disabled">Disabled</a>
	      </li>
	    </ul>
	  </div>
	</nav>

	<!-- Jumbotron -->
	<div class="jumbotron">
	  <h1 class="display-4">Hello, Gab!</h1>
	  <p class="lead">This is a simple hero unit, a simple jumbotron-style component for calling extra attention to featured content or information.</p>
	  <hr class="my-4">
	  <p>It uses utility classes for typography and spacing to space content out within the larger container.</p>
	  <a class="btn btn-primary btn-lg" href="#" role="button">Learn more</a>
	</div>

	<!-- Buttons -->
	<div class="m-5">
		<h1>Buttons</h1>
		<button class="btn btn-primary">Primary</button>
		<button class="btn btn-secondary">Secondary</button>
		<button class="btn btn-warning">Secondary</button>
		<button class="btn btn-success">Secondary</button>
		<button class="btn btn-info">Secondary</button>
		<button class="btn btn-pink">Secondary</button>
	</div>


	<div class="m-5">
		<h1>Anchor tag</h1>
		<a href="#" class="btn btn-success">Go to Profile</a>
	</div>

	<div class="m-5">
		<h1>Outlined Button</h1>
		<button class="btn btn-outline-primary">Outlined</button>
		<button class="btn btn-outline-danger">Outlined</button>
	</div>

	<div class="m-5">
		<h1>Button Sizes</h1>
		<button class="btn btn-outline-danger btn-lg">Outlined</button>
		<button class="btn btn-success btn-sm">Secondary</button>

		<button class="btn btn-warning btn-block btn-lg">Outlined</button>
		<button class="btn btn-outline-secondary btn-block">Outlined</button>
	</div>

	<!-- Forms -->
	<div class="m-5">
		<h1>Forms</h1>
		
		<div class="row">
			<div class="col-10 col-md-6 mx-auto">
				<form class="border rounded p-4">
				  <div class="form-group">
				    	<label for="exampleInputEmail1">Email address</label>
				    	<input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
				  </div>
				  
				  <div class="form-group">
				    	<label for="exampleInputPassword1">Password</label>
				    	<input type="password" class="form-control" id="exampleInputPassword1">
				  </div>
				  <button type="submit" class="btn btn-primary">Submit</button>
				</form>
			</div>
		</div>

	</div>

	<!-- MODAL -->
	<!-- Button trigger modal -->
	<button type="button" class="btn btn-primary d-block mx-auto" data-toggle="modal" data-target="#exampleModal">
	  Launch demo modal
	</button>

	<!-- Modal -->
	<div class="modal fade" id="exampleModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
	  <div class="modal-dialog">
	    <div class="modal-content">
	      <div class="modal-header">
	        <h5 class="modal-title" id="exampleModalLabel">Form</h5>
	        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	          <span aria-hidden="true">&times;</span>
	        </button>
	      </div>
	      <div class="modal-body">
	        <h1>Forms</h1>
	        
	        <div class="row">
	        	<div class="col-10 col-md-6 mx-auto">
	        		<form class="border rounded p-4">
	        		  <div class="form-group">
	        		    	<label for="exampleInputEmail1">Email address</label>
	        		    	<input type="email" class="form-control" id="exampleInputEmail1" aria-describedby="emailHelp">
	        		  </div>
	        		  
	        		  <div class="form-group">
	        		    	<label for="exampleInputPassword1">Password</label>
	        		    	<input type="password" class="form-control" id="exampleInputPassword1">
	        		  </div>
	        		  <button type="submit" class="btn btn-primary">Submit</button>
	        		</form>
	        	</div>
	        </div>
	      </div>
	      <div class="modal-footer">
	        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
	        <button type="button" class="btn btn-primary">submit</button>
	      </div>
	    </div>
	  </div>
	</div>

	<!-- CAROUSEL -->
	<div class="m-3">
		<div class="row justify-content-center">
			<div class="col-12 col-md-6">
				<div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
				  
				  <ol class="carousel-indicators">
				    <li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
				    <li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
				    <li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
				  </ol>
				  
				  <div class="carousel-inner">
				    <div class="carousel-item active">
				      <img src="https://d6vdma9166ldh.cloudfront.net/media/images/1455b5c8-4887-43a8-8214-de77543414c9.jpg" class="d-block w-100" alt="...">
				      <div class="carousel-caption d-none d-md-block">
				        <h5>First slide label</h5>
				        <p>Some representative placeholder content for the first slide.</p>
				      </div>
				    </div>
				    
				    <div class="carousel-item">
				      <img src="https://d6vdma9166ldh.cloudfront.net/media/images/1455b5c8-4887-43a8-8214-de77543414c9.jpg" class="d-block w-100" alt="...">
				      <div class="carousel-caption d-none d-md-block">
				        <h5>Second slide label</h5>
				        <p>Some representative placeholder content for the second slide.</p>
				      </div>
				    </div>
				    <div class="carousel-item">
				      <img src="https://www.cloudways.com/blog/wp-content/uploads/Rest-API-introduction.jpg" class="d-block w-100" alt="...">
				      <div class="carousel-caption d-none d-md-block">
				        <h5>Third slide label</h5>
				        <p>Some representative placeholder content for the third slide.</p>
				      </div>
				    </div>
				  </div>
				  <button class="carousel-control-prev" type="button" data-target="#carouselExampleCaptions" data-slide="prev">
				    <span class="carousel-control-prev-icon" aria-hidden="true"></span>
				    <span class="sr-only">Previous</span>
				  </button>
				  <button class="carousel-control-next" type="button" data-target="#carouselExampleCaptions" data-slide="next">
				    <span class="carousel-control-next-icon" aria-hidden="true"></span>
				    <span class="sr-only">Next</span>
				  </button>
				</div>
			</div>
		</div>
	</div>

	<!-- Cards -->
	<div class="m-3 d-flex justify-content-center">
		<!-- 1st card -->
		<div class="mx-auto" style="width: 18rem;">
		  <img src="https://d6vdma9166ldh.cloudfront.net/media/images/1455b5c8-4887-43a8-8214-de77543414c9.jpg" class="card-img-top" alt="...">
		  <div class="card-body">
		    <h5 class="card-title">Card title</h5>
		    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
		    <a href="#" class="btn btn-primary">Go somewhere</a>
		  </div>
		</div>
		<!-- 2nd card -->
		<div class="card mx-auto" style="width: 18rem;">
		  <img src="https://d6vdma9166ldh.cloudfront.net/media/images/1455b5c8-4887-43a8-8214-de77543414c9.jpg" class="card-img-top" alt="...">
		  <div class="card-body">
		    <h5 class="card-title">Card title</h5>
		    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
		    <a href="#" class="btn btn-primary">Go somewhere</a>
		  </div>
		</div>
	</div>

	<!-- Using grid system -->
	<div class="container">
		<div class="row">
			<div class="col">
			<div class="mx-auto" style="width: 18rem;">
			  <img src="https://d6vdma9166ldh.cloudfront.net/media/images/1455b5c8-4887-43a8-8214-de77543414c9.jpg" class="card-img-top" alt="...">
			  <div class="card-body">
			    <h5 class="card-title">Card title</h5>
			    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
			    <a href="#" class="btn btn-primary">Go somewhere</a>
			  </div>
			</div>

			
			<div class="col">
				<!-- 2nd card -->
				<div class="card mx-auto" style="width: 18rem;">
				  <img src="https://d6vdma9166ldh.cloudfront.net/media/images/1455b5c8-4887-43a8-8214-de77543414c9.jpg" class="card-img-top" alt="...">
				  <div class="card-body">
				    <h5 class="card-title">Card title</h5>
				    <p class="card-text">Some quick example text to build on the card title and make up the bulk of the card's content.</p>
				    <a href="#" class="btn btn-primary">Go somewhere</a>
				  </div>
				</div>	
			</div>
		</div>
	</div>

	<div class="m-5">
		<h1>Embed Map</h1>
		<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3860.4101322928072!2d121.04148921484061!3d14.632645089782075!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x3397b7f5db7f5e3f%3A0xe15d2d6a4453ed00!2sZuitt%20QC!5e0!3m2!1sen!2sph!4v1644905467378!5m2!1sen!2sph" width="600" height="450" style="border:0;" allowfullscreen="" loading="lazy"></iframe>
		
	</div>

	<div style="margin-top: 200px;"></div>
	<!-- Bootstrap JS -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.bundle.min.js" integrity="sha384-fQybjgWLrvvRgtW6bFlB7jaZrFsaBXjsOMm/tB9LTS58ONXgqbR9W8oWht/amnpF" crossorigin="anonymous"></script>

</body>

</html>